Python-API: Scientific Graphing Library 
======

Plotly's scientific graphing libraries let you make and share interactive, publication-quality graphs
in your browser. Plotly's online graphing tools can interface with your desktop environment, allowing you to import or stream data. Then, style beautiful graphs with code and Plotly's online interface. Easily share your data and graphs publicly with a URL or privately with your team.

Gallery Examples
-------------

Find these examples and the code used to create them [here](https://plot.ly/api).


  ![](https://f.cloud.github.com/assets/5034604/1587845/c6098d92-5242-11e3-816e-10d96a545efa.png "Example plots")


Documentation and Feedback 
-------------

- Online documentation is available [here](https://plot.ly/api).

- Have questions, thoughts, bugs to report, or suggestions? Contact feedback [at] plot [dot] ly, or connect with us on [Facebook](facebook.com/plotly), [Twitter](https://twitter.com/plotlygraphs), or [Google +](https://plus.google.com/+PlotLy).

- For dashboard uses, see [Plotly.js](https://plot.ly/developers). 

IPython-Plotly Notebooks on NBViewer
-----------------------------

- [Basic graph examples](http://nbviewer.ipython.org/7576511) Get started here. Try zooming and panning inside the graphs.

- [Multiple axes, subplots, and insets](http://nbviewer.ipython.org/7628933) Get crazy with scientific graphing here.
 
- [IJulia example](http://nbviewer.ipython.org/7551139) IJulia rocks! So does Plotly. Check it out.

- [Bubble Charts and Hover Text](http://nbviewer.ipython.org/gist/jackparmer/7729584) Psychedelic spirals, crime data, Hans Rosling, data slicing with Pandas, and more.

Use cases
------------

- Stats, physics, and sciences, for stats, fits, and functions: [beta distribution](https://plot.ly/~jackp/705/).

- Algebra, geometry, and calculus: [Bessel Functions](https://plot.ly/~jackp/914/).

- Finance and business: [Tesla and Apple Stock](https://plot.ly/~jackp/903/).

- Stock Data: [Bitcoin Prices](https://plot.ly/~jackp/992/).

- Design: [Barnsley Fern](https://plot.ly/~chris/403/).

- Makers: [Stream and graph data from Arduino and Raspberry PI](https://plot.ly/~flann321/9/).

- Engineering: [System Latency](https://plot.ly/~carmeloosh/84/).

- Academia and Journalism: [City of New York & Boroughs Population](https://plot.ly/~Dreamshot/113/).

- Sports Journalism: [Score Distribution Stats for NFL, NHL, MLB, and NBA](https://plot.ly/sdqlheatmaps).


Feedback
----------------------

"Plotly was key for getting NASA approval to launch a CubeSat for space exploration." 
-Professor Carl Brandon, Vermont Technical College

"Plotly is my absolute favorite way to communicate data and complex ideas to my readers." 
-Dylan Matthews, Columnist and Data Journalist, Washington Post

"@plotlygraphs Continues to kick ass with their latest release of their plotting api. Multiple coordinated charts rock!" -Stanford robotics guru
